Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.api
Interface SessionManager

All Known Implementing Classes:
  CDISessionManager

    public interface SessionManager

Method Summary
`void` | `addKsessionHandler(String ksessionName, String handlerName, WorkItemHandler handler)`
`void` | `addProcessDefinitionToSession(String sessionName, String processId)`
`void` | `addProcessInstanceIdKsession(Integer ksessionId, Long processInstanceId)`
`int` | `buildSession(String sessionName, String path, boolean streamMode)`
`void` | `clear()`
`Collection<String>` | `getAllSessionsNames()`
`Domain` | `getDomain()`
`KieSession` | `getKsessionById(int ksessionId)`
`Map<Integer,KieSession>` | `getKsessionsByName(String ksessionName)`
`Collection<String>` | `getProcessesInSession(String sessionName)`
`String` | `getProcessInSessionByName(String processDefId)`
`Map<Integer,Long>` | `getProcessInstanceIdKsession()`
`int` | `getSessionForProcessInstanceId(Long processInstanceId)`
`List<Integer>` | `getSessionIdsByName(String ksessionName)`
`int` | `newKieSession(String groupId, String artifactId, String version, String kbaseName, String sessionName)`
`void` | `registerHandlersForSession(String ksessionName, int version)`
`void` | `registerRuleListenerForSession(String ksessionName, int version)`
`void` | `removeProcessDefinitionFromSession(String sessionName, String processId)`
`void` | `setDomain(Domain domain)`

Method Detail

### setDomain

    void setDomain(Domain domain)

### getDomain

    Domain getDomain()

### buildSession

    int buildSession(String sessionName,
                     String path,
                     boolean streamMode)

### newKieSession

    int newKieSession(String groupId,
                      String artifactId,
                      String version,
                      String kbaseName,
                      String sessionName)

### getKsessionsByName

    Map<Integer,KieSession> getKsessionsByName(String ksessionName)

### getProcessInstanceIdKsession

    Map<Integer,Long> getProcessInstanceIdKsession()

### getKsessionById

    KieSession getKsessionById(int ksessionId)

### addProcessInstanceIdKsession

    void addProcessInstanceIdKsession(Integer ksessionId,
                                      Long processInstanceId)

### getSessionForProcessInstanceId

    int getSessionForProcessInstanceId(Long processInstanceId)

### getSessionIdsByName

    List<Integer> getSessionIdsByName(String ksessionName)

### getAllSessionsNames

    Collection<String> getAllSessionsNames()

### addProcessDefinitionToSession

    void addProcessDefinitionToSession(String sessionName,
                                       String processId)

### removeProcessDefinitionFromSession

    void removeProcessDefinitionFromSession(String sessionName,
                                            String processId)

### getProcessesInSession

    Collection<String> getProcessesInSession(String sessionName)

### getProcessInSessionByName

    String getProcessInSessionByName(String processDefId)

### addKsessionHandler

    void addKsessionHandler(String ksessionName,
                            String handlerName,
                            WorkItemHandler handler)

### registerHandlersForSession

    void registerHandlersForSession(String ksessionName,
                                    int version)

### registerRuleListenerForSession

    void registerRuleListenerForSession(String ksessionName,
                                        int version)

### clear

    void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.